[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLSequence.ApplyEvent

When to apply the new value

## Declaration

Source position: sqldb.pp line 465

`published property TSQLSequence.ApplyEvent : TSQLSequenceApplyEvent read FApplyEvent write FApplyEvent default saeOnNewRecord;`

## Description

ApplyEvent determines when the new value will be applied to a field: On new record (i.e. when Insert or Append is called) or when a newly inserted record is saved (when Post is called).

## See also

TSQLSequenceApplyEvent |  | When to fetch a new sequence number